squid_session(8)

NAME
squid_session - Squid session tracking external acl group helper

SYNOPSIS
squid_session [-t idle_timeout] [-b dbpath] [-a]

DESCRIPTION
This helper maintains a concept of sessions by monitoring requests and timing out sessions if no requests have been seen for the idle timeout timer.

Intended use is for displaying "terms of use" pages, ad popups etc.

-t idletimeout (default 3600)
    Specifies the session idle timeout timer.

-b dbpath
    Path to persistent database. If not specified the session details will be kept in memory only and all sessions will reset each time Squid restarts it's helpers (Squid restart or rotation of logs).

-a  Active mode. In this mode sessions are started by evaluating an acl with the argument LOGIN, or terminated by the argument LOGOUT.

Without this flag the helper automatically starts the session after the first request.

EXAMPLE

Configuration example using the default automatic mode

    external_acl_type session ttl=300 negative_ttl=0 children=1 concurrency=200 %LOGIN /usr/local/squid/libexec/squid_session

    acl session external session

    http_access deny !session

    deny_info http://your.server/bannerpage?url=%s session

Then set up http://your.server/bannerpage to display a session startup page and then redirect the user back to the requested URL given in the url query parameter.

AUTHOR
This helper and documentation was written by Henrik Nordstrom <henrik@henriknordstrom.net>

QUESTIONS
Any questions on usage can be sent to Squid Users <squid-users@squid-cache.org>.

REPORTING BUGS
Report bugs or bug-fixes to Squid Bugs <squid-bugs@squid-cache.org> or ideas for new improvements to Squid Developers <squid-dev@squid-cache.org>

SEE ALSO
squid(8)